
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef track_target_TCLSERV_CLIENT_MSG_LIB_H
#define track_target_TCLSERV_CLIENT_MSG_LIB_H

#include <server/track_targetType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int track_targetTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int track_targetTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int track_targetTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 TRACK_TARGET_INIT *(in_init_params) 
		);

int track_targetTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int track_targetTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				TRACK_TARGET_INIT *(in_init_params) ,
				
				int *bilan);

int track_targetTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					TRACK_TARGET_INIT *(in_init_params) ,
					
					int *bilan);




int track_targetTclservClientActiveSearchRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 TRACK_TARGET_SEARCH *(in_search_params) 
		);

int track_targetTclservClientActiveSearchReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int track_targetTclservClientActiveSearchRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				TRACK_TARGET_SEARCH *(in_search_params) ,
				
				int *bilan);

int track_targetTclservClientActiveSearchRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					TRACK_TARGET_SEARCH *(in_search_params) ,
					
					int *bilan);




int track_targetTclservClientTrackRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 TRACK_TARGET_TRACK *(in_track_params) 
		);

int track_targetTclservClientTrackReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int track_targetTclservClientTrackRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				TRACK_TARGET_TRACK *(in_track_params) ,
				
				int *bilan);

int track_targetTclservClientTrackRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					TRACK_TARGET_TRACK *(in_track_params) ,
					
					int *bilan);




int track_targetTclservClientTrackStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int track_targetTclservClientTrackStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int track_targetTclservClientTrackStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* track_targetTCLSERV_CLIENT_MSG_LIB_H */

