
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef track_target_POSTER_LIB_H
#define track_target_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "track_targetType.h"
#include "track_targetError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[TRACK_TARGET_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} TRACK_TARGET_CNTRL_STR;

/* For consistency with other posters */
typedef TRACK_TARGET_CNTRL_STR TRACK_TARGET_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "track_targetPosterLibStruct.h"



/* Posters */
#define TRACK_TARGET_CNTRL_POSTER_NAME genomInstanceSuffixName("track_target", "Cntrl")
#define TRACK_TARGET_PLATINEPOSREF_POSTER_NAME genomInstanceSuffixName("track_target", "PlatinePosRef")
#define TRACK_TARGET_TARGETPOS_POSTER_NAME genomInstanceSuffixName("track_target", "TargetPos")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS track_targetPosterInit ( void );
extern POSTER_ID track_targetCntrlPosterID ();
extern STATUS track_targetCntrlPosterRead ( TRACK_TARGET_CNTRL_STR *track_targetCntrlStrId );
extern STATUS track_targetCntrlPosterInit ( void );
extern STATUS track_targetCntrlInstancePosterRead(const char *name, TRACK_TARGET_CNTRL_STR *track_targetCntrlStrId);
extern STATUS track_targetPlatinePosRefPosterInit ( void );
extern POSTER_ID track_targetPlatinePosRefPosterID ( void );
extern STATUS track_targetPlatinePosRefPosterRead ( TRACK_TARGET_PLATINEPOSREF_POSTER_STR *x );
extern STATUS track_targetPlatinePosRefInstancePosterRead ( const char *, TRACK_TARGET_PLATINEPOSREF_POSTER_STR * );
extern STATUS track_targetPlatinePosRefplatinePosRefPosterRead ( PLATINE_AXIS_STR *platinePosRef );
extern STATUS track_targetPlatinePosRefplatinePosRefInstancePosterRead( const char *, PLATINE_AXIS_STR * );
extern STATUS track_targetTargetPosPosterInit ( void );
extern POSTER_ID track_targetTargetPosPosterID ( void );
extern STATUS track_targetTargetPosPosterRead ( TRACK_TARGET_TARGETPOS_POSTER_STR *x );
extern STATUS track_targetTargetPosInstancePosterRead ( const char *, TRACK_TARGET_TARGETPOS_POSTER_STR * );
extern STATUS track_targetTargetPostargetPosPosterRead ( GENPOS_TRAJ_POINTS *targetPos );
extern STATUS track_targetTargetPostargetPosInstancePosterRead( const char *, GENPOS_TRAJ_POINTS * );
#ifdef __cplusplus
}
#endif
#endif

