
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] track_targetInstall] >= 0 } {
    interp expose {} track_targetInstall
}

proc ::track_targetInstall { name } {
    foreach rqst { "Init" "ActiveSearch" "Track" "TrackStop" "PlatinePosRefplatinePosRefPosterRead" "TargetPostargetPosPosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} track_target$rqst $name
    }
}

interp hide {} track_targetInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] track_targetInit] >= 0 } {
    interp expose {} track_targetInit
}
if { [lsearch [interp hidden] track_targetInitFormatOutput] >= 0 } {
    interp expose {} track_targetInitFormatOutput
}

proc ::track_targetInit { name args } {
    set format {}
    lappend format [list string "Poster position" "pomPos" ]
    lappend format [list double "Timeout before we consider that the target is lost (in s)" 1.000000 ]

    return [ ::cs::rqstSend "${name}" "Init" \
	"Init" \
	"TRACK_TARGET_INIT\n| char posPoster\[256\]\n| double timeout\n" \
	2 \
	$format \
	$args ]
}


proc ::track_targetInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} track_targetInit
interp hide {} track_targetInitFormatOutput





# ActiveSearch ----------------------------------------------------------

if { [lsearch [interp hidden] track_targetActiveSearch] >= 0 } {
    interp expose {} track_targetActiveSearch
}
if { [lsearch [interp hidden] track_targetActiveSearchFormatOutput] >= 0 } {
    interp expose {} track_targetActiveSearchFormatOutput
}

proc ::track_targetActiveSearch { name args } {
    set format {}
    lappend format [list double "Minimum pan (radian)" -1.000000 ]
    lappend format [list double "Maximum pan (radian)" 1.000000 ]
    lappend format [list double "Delta pan (radian) (at each step)" 0.100000 ]
    lappend format [list string "the poster exposing the position of the target, if found" "" ]

    return [ ::cs::rqstSend "${name}" "ActiveSearch" \
	"Search actively for a target" \
	"TRACK_TARGET_SEARCH\n| double min_pan\n| double max_pan\n| double delta_pan\n| char posterName\[256\]\n" \
	4 \
	$format \
	$args ]
}


proc ::track_targetActiveSearchFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} track_targetActiveSearch
interp hide {} track_targetActiveSearchFormatOutput





# Track ----------------------------------------------------------

if { [lsearch [interp hidden] track_targetTrack] >= 0 } {
    interp expose {} track_targetTrack
}
if { [lsearch [interp hidden] track_targetTrackFormatOutput] >= 0 } {
    interp expose {} track_targetTrackFormatOutput
}

proc ::track_targetTrack { name args } {
    set format {}
    lappend format [list string "Poster exposing the detected position of the target" "" ]

    return [ ::cs::rqstSend "${name}" "Track" \
	"Track Target" \
	"TRACK_TARGET_TRACK\n| char posterName\[256\]\n" \
	1 \
	$format \
	$args ]
}


proc ::track_targetTrackFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} track_targetTrack
interp hide {} track_targetTrackFormatOutput





# TrackStop ----------------------------------------------------------

if { [lsearch [interp hidden] track_targetTrackStop] >= 0 } {
    interp expose {} track_targetTrackStop
}
if { [lsearch [interp hidden] track_targetTrackStopFormatOutput] >= 0 } {
    interp expose {} track_targetTrackStopFormatOutput
}

proc ::track_targetTrackStop { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "TrackStop" \
	"stop the tracking" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::track_targetTrackStopFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} track_targetTrackStop
interp hide {} track_targetTrackStopFormatOutput





# PlatinePosRefplatinePosRef ----------------------------------------------------------

if { [lsearch [interp hidden] track_targetPlatinePosRefplatinePosRefPosterRead] >= 0 } {
    interp expose {} track_targetPlatinePosRefplatinePosRefPosterRead
}
if { [lsearch [interp hidden] track_targetPlatinePosRefplatinePosRefPosterFormatOutput] >= 0 } {
    interp expose {} track_targetPlatinePosRefplatinePosRefPosterFormatOutput
}

proc ::track_targetPlatinePosRefplatinePosRefPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "PlatinePosRefplatinePosRef" \
	"PLATINE_AXIS_STR\n| double pan\n| double tilt\n" \
	$args ]
}


proc ::track_targetPlatinePosRefplatinePosRefPosterFormatOutput { list } {
    set format { {} status { } { platinePosRef { } pan { } tilt } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} track_targetPlatinePosRefplatinePosRefPosterRead
interp hide {} track_targetPlatinePosRefplatinePosRefPosterFormatOutput





# TargetPostargetPos ----------------------------------------------------------

if { [lsearch [interp hidden] track_targetTargetPostargetPosPosterRead] >= 0 } {
    interp expose {} track_targetTargetPostargetPosPosterRead
}
if { [lsearch [interp hidden] track_targetTargetPostargetPosPosterFormatOutput] >= 0 } {
    interp expose {} track_targetTargetPostargetPosPosterFormatOutput
}

proc ::track_targetTargetPostargetPosPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "TargetPostargetPos" \
	"GENPOS_TRAJ_POINTS\n| int numRef\n| int nbPts\n| GENPOS_CART_CONFIG\n| | double x\n| | double y\n| | double theta\n" \
	$args ]
}


proc ::track_targetTargetPostargetPosPosterFormatOutput { list } {
    set format { {} status { } { targetPos { } numRef { } nbPts { 1000 } { points { } x { } y { } theta } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} track_targetTargetPostargetPosPosterRead
interp hide {} track_targetTargetPostargetPosPosterFormatOutput


